# Copyright The OpenTelemetry Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# pylint: disable=unused-import

from opensafely._vendor.opentelemetry.sdk.metrics._internal import (  # noqa: F401
    Meter,
    MeterProvider,
)
from opensafely._vendor.opentelemetry.sdk.metrics._internal.exceptions import (  # noqa: F401
    MetricsTimeoutError,
)
from opensafely._vendor.opentelemetry.sdk.metrics._internal.instrument import (  # noqa: F401
    Counter,
    Histogram,
    ObservableCounter,
    ObservableGauge,
    ObservableUpDownCounter,
    UpDownCounter,
)

__all__ = []
for key, value in globals().copy().items():
    if not key.startswith("_"):
        value.__module__ = __name__
        __all__.append(key)
